{% extends 'base.html.twig' %}

{% block title %}Order index{% endblock %}

{% block body %}
    {% if orders | length == 0 %}
        <h3>Vous n'avez encore effectué de commande</h3>
    {% endif %}
    {% for order in orders %}
        <h2>{{ order.user.email }}</h2>
        <ul class="OrderList">
            {% for orderItem in order.user.currentOrder.orderItems %}
                <li class="OrderList__product">
                    <div>
                        <img class="OrderList__product__picture" src="{{ orderItem.product.picture }}" alt="">
                        <div class="OrderList__product__informations">
                            <p class="OrderList__product__name">{{ orderItem.product.name }}</p>
                            <p class="OrderList__product__quantity">Quantité : {{ orderItem.quantity }}</p>
                            <p class="OrderList__product__price">Prix : {{ orderItem.product.price * orderItem.quantity }}€ <span>({{ orderItem.quantity }} x {{ orderItem.product.price }}€)</span></p>
                        </div>
                    </div>
                    <div>
                        
                        {# <form method="POST">
                            <div>
                                <input type="hidden" name="add-token" value="{{ csrf_token('add-invoice') }}" />
                                <input type="file" name="invoice" />
                            </div>
                            <input value="Ajouter une facture" type="submit" />
                        </form> #}
                        <br>
                        <a href="{{ path('app_order_remove_product', {'id': orderItem.id}) }}" onclick="return confirm('Êtes-vous sûr de vouloir supprimer la commande ?')">Supprimer de la commande</a>
                    </div>
                </li>
            {% endfor %}
            <li>
                {% if order.invoices %}
                    {% for invoice in order.invoices %}
                        <p>Facture : <a href="/uploads/{{ invoice.filename }}" target="_blank">{{ invoice.filename }}</a> - <a href="{{ path('app_order_remove_invoice', {'id': invoice.id}) }}">Supprimer</a></p>
                    {% endfor %}
                {% endif %}
                {{ form_start(form) }}
                    <div>
                        {{ form_widget(form.order, {'value': order.id}) }}
                        {{ form_widget(form.invoice) }}
                    </div>
                    <input value="Ajouter une facture" type="submit" />
                {{ form_end(form) }}
            </li>
        </ul>
   {% endfor %}
{% endblock %}
